[Unit]
Description={{ nodejs_systemd_description | default ('ansible created node systemd job') }}
Documentation= {{ nodejs_systemd_doc | default('') }}
After={{ nodejs_systemd_after | default('network.target') }}

[Service]
{% if nodejs_systemd_working_dir is defined %}
WorkingDirectory={{ nodejs_systemd_working_dir }}
{% endif%}
Environment=NODE_PORT={{ nodejs_systemd_port }}
{% if nodejs_environment_secrets | count > 0 %}
EnvironmentFile=/etc/node.secrets
{% endif %}
{% for environment in nodejs_environment %}
Environment={{ environment.name }}={{ environment.value }}
{% endfor %}

Type=simple
User={{nodejs_systemd_user | default( nodejs_install_npm_user) }}
ExecStart={{ nodejs_systemd_start }}
Restart=on-failure

[Install]
WantedBy=multi-user.target
